


--------------------------------------
-- Game Tooltip Plugin

function PlayerZoneButton_OnEnter(self)
	if ( PlayerZone_Options.tooltip ) then
		GameTooltip_SetDefaultAnchor(GameTooltip, self);
		GameTooltip:SetText(PLAYERZONE_TOOLTIP_TITLE);
		GameTooltip:AddLine(PLAYERZONE_TOOLTIP_SUBTITLE);
		GameTooltip:AddLine(PLAYERZONE_PLUGIN_LEFTCLICK);
		GameTooltipTextLeft1:SetTextColor(1, 1, 1);
		GameTooltipTextLeft2:SetTextColor(1, 0.8, 0);
		GameTooltip:Show();
	end
end

--------------------------------------
-- Toggle Plugin Frame

function PlayerZone_Plugin_Toggle()
	if ( PlayerZoneButtonFrame:IsShown() ) then
		PlayerZoneButtonFrame:Hide();
		PlayerZone_Options.plugin = false;
	else
		PlayerZoneButtonFrame:Show();
		PlayerZone_Options.plugin = true;
	end
end